Overview | Package | Class | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package com.xhaus.modjy

Class com.xhaus.modjy.ModjyJServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### interp

    PythonInterpreter interp

### modjyServlet

    javax.servlet.http.HttpServlet modjyServlet

Package com.ziclix.python.sql

Class com.ziclix.python.sql.DBApiType extends PyInteger implements Serializable

Class com.ziclix.python.sql.PyConnection extends PyObject implements Serializable

Serialized Fields

### closed

    boolean closed

  True if closed.

### supportsTransactions

    boolean supportsTransactions

  Whether transactions are supported.

### supportsMultipleResultSets

    boolean supportsMultipleResultSets

  Whether multiple ResultSets are supported.

### connection

    Connection connection

  The underlying java.sql.Connection.

### cursors

    Set<E> cursors

  Underlying cursors.

### statements

    Set<E> statements

  Underlying statements.

Class com.ziclix.python.sql.PyCursor extends PyObject implements Serializable

Serialized Fields

### fetch

    Fetch fetch

  Field fetch

### closed

    boolean closed

  Field closed

### arraysize

    int arraysize

  Field arraysize

### softspace

    int softspace

  Field softspace

### rsType

    PyObject rsType

  Field rsType

### rsConcur

    PyObject rsConcur

  Field rsConcur

### warnings

    PyObject warnings

  Field warnings

### lastrowid

    PyObject lastrowid

  Field warnings

### updatecount

    PyObject updatecount

  Field updatecount

### dynamicFetch

    boolean dynamicFetch

  Field dynamicFetch

### connection

    PyConnection connection

  Field connection

### datahandler

    DataHandler datahandler

  Field datahandler

### statement

    PyStatement statement

  Field statement

Class com.ziclix.python.sql.PyExtendedCursor extends PyCursor implements Serializable

Class com.ziclix.python.sql.PyStatement extends PyObject implements Serializable

Serialized Fields

### style

    int style

  One of the above styles.

### sql

    Object sql

  The underlying sql, a String or a Procedure.

### closed

    boolean closed

  Whether this statement is closed.

### statement

    Statement statement

  The underlying java.sql.Statement.

Class com.ziclix.python.sql.WarningEvent extends EventObject implements Serializable

Serialized Fields

### warning

    SQLWarning warning

Class com.ziclix.python.sql.zxJDBC extends PyObject implements Serializable

Package org.python.core

Class org.python.core.AbstractArray extends Object implements Serializable

Serialized Fields

### capacity

    int capacity

  Size of the current array, which can be larger than the `size` field.

### size

    int size

  The number of values currently present in the array.

### modCountIncr

    int modCountIncr

  The modification count increment indicates if a structural change occured as a result of an operation that would make concurrent iteration over the array invalid. It is typically used by subclasses that extend `AbstractList`, by adding the value to `AbstractList.modCount` after performing a potentially structure-altering operation. A value of 0 indicates that it is still valid to iterate over the array. A value of 1 indicates it is no longer valid to iterate over the range.

  This class uses a somewhat stricter semantic for `modCount`. Namely, `modCountIncr` is only set to 1 if a structural change occurred. The jdk collections generally increment `modCount` if a potentially structure-altering method is called, regardless of whether or not a change actually occurred. See also: `java.util.AbstractList#modCount`

Class org.python.core.AstList extends PySequence implements Serializable

Serialized Fields

### data

    List<E> data

  The underlying Java List.

### adapter

    org.python.antlr.adapter.AstAdapter adapter

Class org.python.core.BaseSet extends PyObject implements Serializable

Serialized Fields

### _set

    Set<E> _set

  The underlying Set.

Class org.python.core.ClasspathPyImporter extends org.python.core.util.importer<String> implements Serializable

Serialized Fields

### entries

    Map<K,V> entries

### path

    String path

Class org.python.core.ClasspathPyImporterDerived extends ClasspathPyImporter implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.exceptions extends PyObject implements Serializable

Class org.python.core.JavaImporter extends PyObject implements Serializable

Class org.python.core.PyArray extends PySequence implements Serializable

Serialized Fields

### data

    Object data

  The underlying Java array.

### type

    Class<T> type

  The Java array class.

### typecode

    String typecode

  The Python style typecode of the array.

### delegate

    org.python.core.PyArray.ArrayDelegate delegate

Class org.python.core.PyArrayDerived extends PyArray implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyBaseCode extends PyCode implements Serializable

Serialized Fields

### co_argcount

    int co_argcount

### nargs

    int nargs

### co_firstlineno

    int co_firstlineno

### co_varnames

    String[] co_varnames

### co_cellvars

    String[] co_cellvars

### jy_npurecell

    int jy_npurecell

### co_freevars

    String[] co_freevars

### co_filename

    String co_filename

### co_flags

    CompilerFlags co_flags

### co_nlocals

    int co_nlocals

### varargs

    boolean varargs

### varkwargs

    boolean varkwargs

Class org.python.core.PyBaseException extends PyObject implements Serializable

Serialized Fields

### message

    PyObject message

  Exception message.

### args

    PyObject args

  Exception's arguments.

### __dict__

    PyObject __dict__

  Exception's underlying dictionary, lazily created.

Class org.python.core.PyBaseExceptionDerived extends PyBaseException implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.PyBaseString extends PySequence implements Serializable

Class org.python.core.PyBeanEvent extends PyObject implements Serializable

Serialized Fields

### addMethod

    Method addMethod

### eventClass

    Class<T> eventClass

### __name__

    String __name__

Class org.python.core.PyBeanEventProperty extends PyObject implements Serializable

Serialized Fields

### addMethod

    Method addMethod

### eventName

    String eventName

### eventClass

    Class<T> eventClass

### __name__

    String __name__

### adapterField

    Field adapterField

### adapterClass

    Class<T> adapterClass

Class org.python.core.PyBeanProperty extends PyReflectedField implements Serializable

Serialized Fields

### getMethod

    Method getMethod

### setMethod

    Method setMethod

### myType

    Class<T> myType

### __name__

    String __name__

Class org.python.core.PyBoolean extends PyInteger implements Serializable

Serialized Fields

### value

    boolean value

Class org.python.core.PyBooleanDerived extends PyBoolean implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyBuiltinCallable extends PyObject implements Serializable

Serialized Fields

### info

    PyBuiltinCallable.Info info

### doc

    String doc

Class org.python.core.PyBuiltinClassMethodNarrow extends PyBuiltinMethodNarrow implements Serializable

Class org.python.core.PyBuiltinFunction extends PyBuiltinCallable implements Serializable

Class org.python.core.PyBuiltinFunctionNarrow extends PyBuiltinFunction implements Serializable

Class org.python.core.PyBuiltinFunctionSet extends PyBuiltinFunctionNarrow implements Serializable

Serialized Fields

### index

    int index

Class org.python.core.PyBuiltinMethod extends PyBuiltinCallable implements Serializable

Serialized Fields

### self

    PyObject self

Class org.python.core.PyBuiltinMethodNarrow extends PyBuiltinMethod implements Serializable

Class org.python.core.PyBuiltinMethodSet extends PyBuiltinFunctionSet implements Serializable

Serialized Fields

### type

    Class<T> type

### __self__

    PyObject __self__

Class org.python.core.PyBytecode extends PyBaseCode implements Serializable

Serialized Fields

### count

    int count

### maxCount

    int maxCount

### debug

    boolean debug

### co_code

    byte[] co_code

### co_consts

    PyObject[] co_consts

### co_names

    String[] co_names

### co_stacksize

    int co_stacksize

### co_lnotab

    byte[] co_lnotab

Class org.python.core.PyCallIter extends PyIterator implements Serializable

Serialized Fields

### callable

    PyObject callable

### sentinel

    PyObject sentinel

Class org.python.core.PyCell extends PyObject implements Serializable

Serialized Fields

### ob_ref

    PyObject ob_ref

  The underlying content of the cell, or null.

Class org.python.core.PyClass extends PyObject implements Serializable

Serialized Fields

### __dict__

    PyObject __dict__

  Holds the namespace for this class

### __bases__

    PyTuple __bases__

  The base classes of this class

### __name__

    String __name__

  The name of this class

### __getattr__

    PyObject __getattr__

### __setattr__

    PyObject __setattr__

### __delattr__

    PyObject __delattr__

### __tojava__

    PyObject __tojava__

### __del__

    PyObject __del__

### __contains__

    PyObject __contains__

Class org.python.core.PyClassMethod extends PyObject implements Serializable

Serialized Fields

### callable

    PyObject callable

Class org.python.core.PyClassMethodDerived extends PyClassMethod implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyClassMethodDescr extends PyMethodDescr implements Serializable

Class org.python.core.PyCode extends PyObject implements Serializable

Serialized Fields

### co_name

    String co_name

Class org.python.core.PyComplex extends PyObject implements Serializable

Serialized Fields

### real

    double real

### imag

    double imag

Class org.python.core.PyComplexDerived extends PyComplex implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyCompoundCallable extends PyObject implements Serializable

Serialized Fields

### callables

    List<E> callables

### systemState

    PySystemState systemState

Class org.python.core.PyDataDescr extends PyDescriptor implements Serializable

Serialized Fields

### ofType

    Class<T> ofType

Class org.python.core.PyDescriptor extends PyObject implements Serializable

Serialized Fields

### dtype

    PyType dtype

### name

    String name

Class org.python.core.PyDictionary extends PyObject implements Serializable

Serialized Fields

### table

    ConcurrentMap<K,V> table

Class org.python.core.PyDictionaryDerived extends PyDictionary implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyDictProxy extends PyObject implements Serializable

Serialized Fields

### dict

    PyObject dict

  The dict proxied to.

Class org.python.core.PyEllipsis extends PySingleton implements Serializable

Serialization Methods

### writeReplace

    private Object writeReplace()

Class org.python.core.PyEnumerate extends PyIterator implements Serializable

Serialized Fields

### index

    long index

  Current index of enumeration.

### sit

    PyObject sit

  Secondary iterator of enumeration.

Class org.python.core.PyEnumerateDerived extends PyEnumerate implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyException extends RuntimeException implements Serializable

Serialized Fields

### type

    PyObject type

  The python exception class (for class exception) or identifier (for string exception).

### value

    PyObject value

  The exception instance (for class exception) or exception value (for string exception).

### traceback

    PyTraceback traceback

  The exception traceback object.

### isReRaise

    boolean isReRaise

  Whether the exception was re-raised, such as when a traceback is specified to 'raise', or via a 'finally' block.

### normalized

    boolean normalized

### printingStackTrace

    boolean printingStackTrace

Class org.python.core.PyFastSequenceIter extends PyIterator implements Serializable

Serialized Fields

### seq

    PySequence seq

### index

    int index

Class org.python.core.PyFile extends PyObject implements Serializable

Serialized Fields

### name

    PyObject name

  The filename

### mode

    String mode

  The mode string

### encoding

    String encoding

### softspace

    boolean softspace

  Indicator dictating whether a space should be written to this file on the next print statement (not currently implemented in print )

### reading

    boolean reading

  Whether this file is opened for reading

### writing

    boolean writing

  Whether this file is opened for writing

### appending

    boolean appending

  Whether this file is opened in appending mode

### updating

    boolean updating

  Whether this file is opened for updating

### binary

    boolean binary

  Whether this file is opened in binary mode

### universal

    boolean universal

  Whether this file is opened in universal newlines mode

### file

    org.python.core.io.TextIOBase file

  The underlying IO object

### closer

    org.python.core.PyFile.Closer closer

  The file's closer object; ensures the file is closed at shutdown

Class org.python.core.PyFileDerived extends PyFile implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyFileReader extends PyObject implements Serializable

Serialized Fields

### reader

    BufferedReader reader

### closed

    boolean closed

### reuseableBuffer

    char[] reuseableBuffer

Class org.python.core.PyFileWriter extends PyObject implements Serializable

Serialized Fields

### writer

    Writer writer

### closed

    boolean closed

### softspace

    boolean softspace

Class org.python.core.PyFinalizableInstance extends PyInstance implements Serializable

Class org.python.core.PyFloat extends PyObject implements Serializable

Serialized Fields

### value

    double value

Class org.python.core.PyFloatDerived extends PyFloat implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyFrame extends PyObject implements Serializable

Serialized Fields

### f_back

    PyFrame f_back

### f_code

    PyBaseCode f_code

### f_locals

    PyObject f_locals

### f_globals

    PyObject f_globals

### f_lineno

    int f_lineno

### f_builtins

    PyObject f_builtins

### f_fastlocals

    PyObject[] f_fastlocals

### f_env

    PyCell[] f_env

  nested scopes: cell + free env.

### f_ncells

    int f_ncells

### f_nfreevars

    int f_nfreevars

### f_lasti

    int f_lasti

### f_savedlocals

    Object[] f_savedlocals

### env_j

    int env_j

### generatorInput

    Object generatorInput

### f_exits

    PyObject[] f_exits

### tracefunc

    TraceFunction tracefunc

  an interface to functions suitable for tracing, e.g. via sys.settrace().

Class org.python.core.PyFrozenSet extends BaseSet implements Serializable

Class org.python.core.PyFrozenSetDerived extends PyFrozenSet implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyFunction extends PyObject implements Serializable

Serialized Fields

### __name__

    String __name__

  The writable name, also available via func_name.

### __doc__

    PyObject __doc__

  The writable doc string, also available via func_doc.

### func_globals

    PyObject func_globals

  The read only namespace; a dict (PyStringMap).

### func_defaults

    PyObject[] func_defaults

  Default argument values for associated kwargs. Exposed as a tuple to Python. Writable.

### func_code

    PyCode func_code

  The actual funtion's code, writable.

### __dict__

    PyObject __dict__

  A function's lazily created __dict__; allows arbitrary attributes to be tacked on. Read only.

### func_closure

    PyObject func_closure

  A read only closure tuple for nested scopes.

### __module__

    PyObject __module__

  Writable object describing what module this function belongs to.

Class org.python.core.PyGenerator extends PyIterator implements Serializable

Serialized Fields

### gi_frame

    PyFrame gi_frame

### gi_running

    boolean gi_running

### generatorExit

    PyException generatorExit

### closure

    PyObject closure

Class org.python.core.PyIgnoreMethodTag extends RuntimeException implements Serializable

Class org.python.core.PyIndentationError extends PyException implements Serializable

Serialized Fields

### lineno

    int lineno

### column

    int column

### text

    String text

### filename

    String filename

Class org.python.core.PyInstance extends PyObject implements Serializable

Serialization Methods

### readObject

    private void readObject(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    private void writeObject(ObjectOutputStream out)
                      throws IOException

  Throws:
    `IOException`

Serialized Fields

### __dict__

    PyObject __dict__

  The namespace of this instance. Contains all instance attributes.

Class org.python.core.PyInteger extends PyObject implements Serializable

Serialized Fields

### value

    int value

Class org.python.core.PyIntegerDerived extends PyInteger implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyIterator extends PyObject implements Serializable

Serialized Fields

### stopException

    PyException stopException

Class org.python.core.PyJavaPackage extends PyObject implements Serializable

Serialized Fields

### __name__

    String __name__

### __dict__

    PyStringMap __dict__

### clsSet

    PyStringMap clsSet

  Its keys are the names of statically known classes. E.g. from jars pre-scan.

### __file__

    String __file__

### __mgr__

    org.python.core.packagecache.PackageManager __mgr__

  (Control) package manager whose hierarchy contains this java pkg.

Class org.python.core.PyJavaType extends PyType implements Serializable

Serialized Fields

### conflicted

    Set<E> conflicted

  Other Java classes this type has MRO conflicts with. This doesn't matter for Java method resolution, but if Python methods are added to the type, the added methods can't overlap with methods added to any of the types in this set. If this type doesn't have any known conflicts, this is null.

### modified

    Set<E> modified

  The names of methods that have been added to this class.

Class org.python.core.PyJavaType.ListIndexDelegate extends SequenceIndexDelegate implements Serializable

Serialized Fields

### list

    List<E> list

Class org.python.core.PyList extends PySequenceList implements Serializable

Serialized Fields

### list

    List<E> list

### gListAllocatedStatus

    int gListAllocatedStatus

Class org.python.core.PyListDerived extends PyList implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyLong extends PyObject implements Serializable

Serialized Fields

### value

    BigInteger value

Class org.python.core.PyLongDerived extends PyLong implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyMethod extends PyObject implements Serializable

Serialized Fields

### im_class

    PyObject im_class

  The class associated with a method.

### im_func

    PyObject im_func

  The function (or other callable) implementing a method.

### im_self

    PyObject im_self

  The instance to which a method is bound; None for unbound methods.

Class org.python.core.PyMethodDescr extends PyDescriptor implements Serializable

Serialized Fields

### minargs

    int minargs

### maxargs

    int maxargs

### meth

    PyBuiltinCallable meth

Class org.python.core.PyModule extends PyObject implements Serializable

Serialized Fields

### moduleDoc

    PyObject moduleDoc

### __dict__

    PyObject __dict__

  The module's mutable dictionary

Class org.python.core.PyModuleDerived extends PyModule implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.PyNewWrapper extends PyBuiltinMethod implements Serializable

Serialized Fields

### for_type

    PyType for_type

Class org.python.core.PyNone extends PyObject implements Serializable

Serialization Methods

### writeReplace

    private Object writeReplace()

Class org.python.core.PyNotImplemented extends PySingleton implements Serializable

Serialization Methods

### writeReplace

    private Object writeReplace()

Class org.python.core.PyObject extends Object implements Serializable

Serialized Fields

### objtype

    PyType objtype

  The type of this object.

### javaProxy

    Object javaProxy

  An underlying Java instance that this object is wrapping or is a subclass of. Anything attempting to use the proxy should go through `PyObject.getJavaProxy()` which ensures that it's initialized.

Class org.python.core.PyObject.ConversionException extends Exception implements Serializable

Serialized Fields

### index

    int index

Class org.python.core.PyObjectDerived extends PyObject implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyOverridableNew extends PyNewWrapper implements Serializable

Class org.python.core.PyProperty extends PyObject implements Serializable

Serialized Fields

### fget

    PyObject fget

### fset

    PyObject fset

### fdel

    PyObject fdel

### doc

    PyObject doc

Class org.python.core.PyPropertyDerived extends PyProperty implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyReflectedConstructor extends PyReflectedFunction implements Serializable

Class org.python.core.PyReflectedField extends PyObject implements Serializable

Serialized Fields

### field

    Field field

Class org.python.core.PyReflectedFunction extends PyObject implements Serializable

Serialized Fields

### __name__

    String __name__

### __doc__

    PyObject __doc__

### argslist

    ReflectedArgs[] argslist

### nargs

    int nargs

Class org.python.core.PyReversedIterator extends PyIterator implements Serializable

Serialized Fields

### seq

    PyObject seq

### idx

    int idx

Class org.python.core.PySequence extends PyObject implements Serializable

Serialized Fields

### delegator

    SequenceIndexDelegate delegator

Class org.python.core.PySequenceIter extends PyIterator implements Serializable

Serialized Fields

### seq

    PyObject seq

### index

    int index

Class org.python.core.PySequenceList extends PySequence implements Serializable

Class org.python.core.PySet extends BaseSet implements Serializable

Class org.python.core.PySetDerived extends PySet implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PySingleton extends PyObject implements Serializable

Serialized Fields

### name

    String name

Class org.python.core.PySlice extends PyObject implements Serializable

Serialized Fields

### start

    PyObject start

### stop

    PyObject stop

### step

    PyObject step

Class org.python.core.PySliceDerived extends PySlice implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PySlot extends PyDescriptor implements Serializable

Serialized Fields

### index

    int index

Class org.python.core.PyStaticMethod extends PyObject implements Serializable

Serialized Fields

### callable

    PyObject callable

Class org.python.core.PyString extends PyBaseString implements Serializable

Serialized Fields

### string

    String string

Class org.python.core.PyStringDerived extends PyString implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyStringMap extends PyObject implements Serializable

Serialized Fields

### table

    ConcurrentMap<K,V> table

Class org.python.core.PySuper extends PyObject implements Serializable

Serialized Fields

### superType

    PyType superType

### obj

    PyObject obj

### objType

    PyType objType

Class org.python.core.PySuperDerived extends PySuper implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PySyntaxError extends PyException implements Serializable

Serialized Fields

### lineno

    int lineno

### column

    int column

### text

    String text

### filename

    String filename

Class org.python.core.PySystemState extends PyObject implements Serializable

Serialized Fields

### argv

    PyList argv

  The arguments passed to this program on the command line.

### modules

    PyObject modules

### path

    PyList path

### meta_path

    PyList meta_path

### path_hooks

    PyList path_hooks

### path_importer_cache

    PyObject path_importer_cache

### ps1

    PyObject ps1

### ps2

    PyObject ps2

### executable

    PyObject executable

### currentWorkingDir

    String currentWorkingDir

### environ

    PyObject environ

### classLoader

    ClassLoader classLoader

### stdout

    PyObject stdout

### stderr

    PyObject stderr

### stdin

    PyObject stdin

### __stdout__

    PyObject __stdout__

### __stderr__

    PyObject __stderr__

### __stdin__

    PyObject __stdin__

### __displayhook__

    PyObject __displayhook__

### __excepthook__

    PyObject __excepthook__

### last_value

    PyObject last_value

### last_type

    PyObject last_type

### last_traceback

    PyObject last_traceback

### __name__

    PyObject __name__

### __dict__

    PyObject __dict__

### recursionlimit

    int recursionlimit

### shadowing

    org.python.core.Shadow shadowing

Class org.python.core.PyTableCode extends PyBaseCode implements Serializable

Serialized Fields

### funcs

    PyFunctionTable funcs

### func_id

    int func_id

### co_code

    String co_code

Class org.python.core.PyTraceback extends PyObject implements Serializable

Serialized Fields

### tb_next

    PyObject tb_next

### tb_frame

    PyFrame tb_frame

### tb_lineno

    int tb_lineno

Class org.python.core.PyTuple extends PySequenceList implements Serializable

Serialized Fields

### array

    PyObject[] array

### cachedList

    List<E> cachedList

Class org.python.core.PyTupleDerived extends PyTuple implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyType extends PyObject implements Serializable

Serialization Methods

### writeReplace

    protected Object writeReplace()

  Used when serializing this type.

Serialized Fields

### name

    String name

  The type's name. builtin types include their fully qualified name, e.g.: time.struct_time.

### base

    PyType base

  __base__, the direct base type or null.

### bases

    PyObject[] bases

  __bases__, the base classes.

### dict

    PyObject dict

  The real, internal __dict__.

### mro

    PyObject[] mro

  __mro__, the method resolution. order

### tp_flags

    long tp_flags

  __flags__, the type's options.

### underlying_class

    Class<T> underlying_class

  The Java Class instances of this type will be represented as, or null if it's determined by a base type.

### builtin

    boolean builtin

  Whether it's a builtin type.

### instantiable

    boolean instantiable

  Whether new instances of this type can be instantiated

### has_set

    boolean has_set

  Whether this type has set/delete descriptors

### has_delete

    boolean has_delete

### isBaseType

    boolean isBaseType

  Whether this type allows subclassing.

### needs_userdict

    boolean needs_userdict

  Whether this type has a __dict__.

### needs_weakref

    boolean needs_weakref

  Whether this type has a __weakref__ slot (however all types are weakrefable).

### needs_finalizer

    boolean needs_finalizer

  Whether finalization is required for this type's instances (implements __del__).

### numSlots

    int numSlots

  The number of __slots__ defined.

### subclasses_refq

    ReferenceQueue<T> subclasses_refq

### subclasses

    Set<E> subclasses

Class org.python.core.PyTypeDerived extends PyType implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.PyUnicode extends PyString implements Serializable

Serialized Fields

### plane

    org.python.core.PyUnicode.Plane plane

### codePointCount

    int codePointCount

Class org.python.core.PyUnicodeDerived extends PyUnicode implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyXRange extends PySequence implements Serializable

Serialized Fields

### start

    int start

### step

    int step

### len

    int len

Class org.python.core.SequenceIndexDelegate extends Object implements Serializable

Class org.python.core.SyspathArchive extends PyString implements Serializable

Serialized Fields

### zipFile

    ZipFile zipFile

Package org.python.util

Class org.python.util.PyServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### interp

    PythonInterpreter interp

### cache

    Map<K,V> cache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

Jython homepage